# Uses of Interface
org.eclipse.gef.common.collections.SetMultimapChangeListener

Packages that use SetMultimapChangeListener
Package
Description
org.eclipse.gef.common.beans.binding
This package augments the JavaFX binding API by adding support related to `SetMultimap` and `Multiset`.
org.eclipse.gef.common.beans.property
This package augments the property API of JavaFX by adding support related to `SetMultimap` and `Multiset`.
org.eclipse.gef.common.collections
This package augments the JavaFX collections API with support for `SetMultimap` and `Multiset`.

## Uses of SetMultimapChangeListener in org.eclipse.gef.common.beans.binding

Methods in org.eclipse.gef.common.beans.binding with parameters of type SetMultimapChangeListener
Modifier and Type
Method
Description
`void`
SetMultimapBinding.`addListener(SetMultimapChangeListener<? super K,? super V> listener)`
`void`
SetMultimapBinding.`removeListener(SetMultimapChangeListener<? super K,? super V> listener)`

## Uses of SetMultimapChangeListener in org.eclipse.gef.common.beans.property

Methods in org.eclipse.gef.common.beans.property with parameters of type SetMultimapChangeListener
Modifier and Type
Method
Description
`void`
ReadOnlySetMultimapPropertyBase.`addListener(SetMultimapChangeListener<? super K,? super V> listener)`
`void`
SetMultimapPropertyBase.`addListener(SetMultimapChangeListener<? super K,? super V> listener)`
`void`
ReadOnlySetMultimapPropertyBase.`removeListener(SetMultimapChangeListener<? super K,? super V> listener)`
`void`
SetMultimapPropertyBase.`removeListener(SetMultimapChangeListener<? super K,? super V> listener)`

## Uses of SetMultimapChangeListener in org.eclipse.gef.common.collections

Methods in org.eclipse.gef.common.collections with parameters of type SetMultimapChangeListener
Modifier and Type
Method
Description
`void`
ObservableSetMultimap.`addListener(SetMultimapChangeListener<? super K,? super V> listener)`
Adds a `SetMultimapChangeListener` to this `ObservableSetMultimap`.
`void`
SetMultimapListenerHelper.`addListener(SetMultimapChangeListener<? super K,? super V> listener)`
Adds a new `SetMultimapChangeListener` to this `SetMultimapListenerHelper`.
`void`
ObservableSetMultimap.`removeListener(SetMultimapChangeListener<? super K,? super V> listener)`
Removes a `SetMultimapChangeListener` from this `ObservableSetMultimap`.
`void`
SetMultimapListenerHelper.`removeListener(SetMultimapChangeListener<? super K,? super V> listener)`
Removes the given `SetMultimapChangeListener` from this `SetMultimapListenerHelper`.